<div class="container-background-color container-border collapse m-t-10">
  <div class="flex-row">
    <div
      class="collapse-title current-workspace-main-color m-l-8 m-t-4 __hover_pointer sqtm-core-prevent-selection"
      style="flex-grow: 1"
      (click)="toggle()"
    >
      @if (active) {
        <span class="font-10-px">
          <i nz-icon nzType="down" nzTheme="outline"></i>
        </span>
      }
      @if (!active) {
        <span class="font-10-px">
          <i nz-icon nzType="right" nzTheme="outline"></i>
        </span>
      }
      <span class="m-l-8">{{ i18nTitleKey | translate }}</span>
    </div>
    <div class="flex-fixed-size">
      <ng-content select="[projection=toolbar]"></ng-content>
    </div>
  </div>
  <div class="m-l-15 m-r-15 m-t-5 collapse-content" [class.m-b-10]="active">
    @if (active) {
      <ng-content></ng-content>
    }
  </div>
</div>
